# vtkImageColorViewer Class Reference

`#include <vtkImageColorViewer.h>`

Collaboration diagram for vtkImageColorViewer:
[legend]

List of all members.

## Public Types

enum | { SLICE_ORIENTATION_YZ = 0, SLICE_ORIENTATION_XZ = 1, SLICE_ORIENTATION_XY = 2 }

## Public Member Functions

virtual void | AddInput (vtkImageData *input)
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
virtual double | GetColorLevel ()
virtual double | GetColorWindow ()
virtual vtkImageData * | GetInput ()
virtual int | GetOffScreenRendering ()
double | GetOverlayVisibility ()
virtual int * | GetPosition ()
virtual int * | GetSize ()
virtual int | GetSliceMax ()
virtual int | GetSliceMin ()
virtual void | GetSliceRange (int range[2])
virtual void | GetSliceRange (int &min, int &max)
virtual int * | GetSliceRange ()
virtual const char * | GetWindowName ()
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (void)
virtual void | SetColorLevel (double s)
virtual void | SetColorWindow (double s)
virtual void | SetDisplayId (void *a)
virtual void | SetInput (vtkImageData *in)
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
virtual void | SetOffScreenRendering (int)
void | SetOverlayVisibility (double vis)
virtual void | SetParentId (void *a)
virtual void | SetPosition (int a, int b)
virtual void | SetPosition (int a[2])
virtual void | SetRenderer (vtkRenderer *arg)
virtual void | SetRenderWindow (vtkRenderWindow *arg)
virtual void | SetSize (int a, int b)
virtual void | SetSize (int a[2])
virtual void | SetSlice (int s)
virtual void | SetSliceOrientation (int orientation)
virtual void | SetSliceOrientationToXY ()
virtual void | SetSliceOrientationToXZ ()
virtual void | SetSliceOrientationToYZ ()
virtual void | SetupInteractor (vtkRenderWindowInteractor *)
virtual void | SetWindowId (void *a)
virtual void | UpdateDisplayExtent ()
| VTK_LEGACY (int GetWholeZMax())
| VTK_LEGACY (int GetWholeZMin())
| VTK_LEGACY (int GetZSlice())
| VTK_LEGACY (void SetZSlice(int))
| vtkBooleanMacro (OffScreenRendering, int)
| vtkGetMacro (Slice, int)
| vtkGetMacro (SliceOrientation, int)
| vtkGetObjectMacro (WindowLevel, vtkImageMapToWindowLevelColors2)
| vtkGetObjectMacro (InteractorStyle, vtkInteractorStyleImage)
| vtkGetObjectMacro (Renderer, vtkRenderer)
| vtkGetObjectMacro (RenderWindow, vtkRenderWindow)
| vtkGetObjectMacro (ImageActor, vtkImageActor)
| vtkTypeRevisionMacro (vtkImageColorViewer, vtkObject)

## Static Public Member Functions

static vtkImageColorViewer * | New ()

## Protected Member Functions

| vtkImageColorViewer ()
| ~vtkImageColorViewer ()
virtual void | InstallPipeline ()
virtual void | UnInstallPipeline ()
virtual void | UpdateOrientation ()

## Protected Attributes

int | FirstRender
vtkImageActor * | ImageActor
vtkRenderWindowInteractor * | Interactor
vtkInteractorStyleImage * | InteractorStyle
vtkImageActor * | OverlayImageActor
vtkRenderer * | Renderer
vtkRenderWindow * | RenderWindow
int | Slice
int | SliceOrientation
vtkImageMapToWindowLevelColors2 * | WindowLevel

## Detailed Description

Examples:

  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  SLICE_ORIENTATION_YZ |
  SLICE_ORIENTATION_XZ |
  SLICE_ORIENTATION_XY |

## Constructor & Destructor Documentation

vtkImageColorViewer::vtkImageColorViewer | ( |  | ) | `[protected]`

vtkImageColorViewer::~vtkImageColorViewer | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void vtkImageColorViewer::AddInput | ( | vtkImageData * | input | ) | `[virtual]`

virtual void vtkImageColorViewer::AddInputConnection | ( | vtkAlgorithmOutput * | input | ) | `[virtual]`

virtual double vtkImageColorViewer::GetColorLevel | ( |  | ) | `[virtual]`

virtual double vtkImageColorViewer::GetColorWindow | ( |  | ) | `[virtual]`

virtual vtkImageData* vtkImageColorViewer::GetInput | ( |  | ) | `[virtual]`

virtual int vtkImageColorViewer::GetOffScreenRendering | ( |  | ) | `[virtual]`

double vtkImageColorViewer::GetOverlayVisibility | ( |  | ) |

virtual int* vtkImageColorViewer::GetPosition | ( |  | ) | `[virtual]`

virtual int* vtkImageColorViewer::GetSize | ( |  | ) | `[virtual]`

virtual int vtkImageColorViewer::GetSliceMax | ( |  | ) | `[virtual]`

virtual int vtkImageColorViewer::GetSliceMin | ( |  | ) | `[virtual]`

virtual void vtkImageColorViewer::GetSliceRange | ( | int | range[2] | ) | `[inline, virtual]`

References GetSliceRange().

Referenced by GetSliceRange().

virtual void vtkImageColorViewer::GetSliceRange | ( | int & | min,
|  | int & | max
| ) |  | `[virtual]`

virtual int* vtkImageColorViewer::GetSliceRange | ( |  | ) | `[virtual]`

virtual const char* vtkImageColorViewer::GetWindowName | ( |  | ) | `[virtual]`

virtual void vtkImageColorViewer::InstallPipeline | ( |  | ) | `[protected, virtual]`

static vtkImageColorViewer* vtkImageColorViewer::New | ( |  | ) | `[static]`

Examples:
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

void vtkImageColorViewer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

virtual void vtkImageColorViewer::Render | ( | void |  | ) | `[virtual]`

Examples:
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

virtual void vtkImageColorViewer::SetColorLevel | ( | double | s | ) | `[virtual]`

virtual void vtkImageColorViewer::SetColorWindow | ( | double | s | ) | `[virtual]`

virtual void vtkImageColorViewer::SetDisplayId | ( | void * | a | ) | `[virtual]`

virtual void vtkImageColorViewer::SetInput | ( | vtkImageData * | in | ) | `[virtual]`

Examples:
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

virtual void vtkImageColorViewer::SetInputConnection | ( | vtkAlgorithmOutput * | input | ) | `[virtual]`

virtual void vtkImageColorViewer::SetOffScreenRendering | ( | int |  | ) | `[virtual]`

void vtkImageColorViewer::SetOverlayVisibility | ( | double | vis | ) |

virtual void vtkImageColorViewer::SetParentId | ( | void * | a | ) | `[virtual]`

virtual void vtkImageColorViewer::SetPosition | ( | int | a,
|  | int | b
| ) |  | `[virtual]`

virtual void vtkImageColorViewer::SetPosition | ( | int | a[2] | ) | `[inline, virtual]`

References SetPosition().

Referenced by SetPosition().

virtual void vtkImageColorViewer::SetRenderer | ( | vtkRenderer * | arg | ) | `[virtual]`

virtual void vtkImageColorViewer::SetRenderWindow | ( | vtkRenderWindow * | arg | ) | `[virtual]`

virtual void vtkImageColorViewer::SetSize | ( | int | a,
|  | int | b
| ) |  | `[virtual]`

Examples:
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

virtual void vtkImageColorViewer::SetSize | ( | int | a[2] | ) | `[inline, virtual]`

References SetSize().

Referenced by SetSize().

virtual void vtkImageColorViewer::SetSlice | ( | int | s | ) | `[virtual]`

virtual void vtkImageColorViewer::SetSliceOrientation | ( | int | orientation | ) | `[virtual]`

virtual void vtkImageColorViewer::SetSliceOrientationToXY | ( |  | ) | `[inline, virtual]`

References SLICE_ORIENTATION_XY.

virtual void vtkImageColorViewer::SetSliceOrientationToXZ | ( |  | ) | `[inline, virtual]`

References SLICE_ORIENTATION_XZ.

virtual void vtkImageColorViewer::SetSliceOrientationToYZ | ( |  | ) | `[inline, virtual]`

References SLICE_ORIENTATION_YZ.

virtual void vtkImageColorViewer::SetupInteractor | ( | vtkRenderWindowInteractor * |  | ) | `[virtual]`

Examples:
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

virtual void vtkImageColorViewer::SetWindowId | ( | void * | a | ) | `[virtual]`

virtual void vtkImageColorViewer::UnInstallPipeline | ( |  | ) | `[protected, virtual]`

virtual void vtkImageColorViewer::UpdateDisplayExtent | ( |  | ) | `[virtual]`

virtual void vtkImageColorViewer::UpdateOrientation | ( |  | ) | `[protected, virtual]`

vtkImageColorViewer::VTK_LEGACY | ( | int | GetWholeZMin() | ) |

vtkImageColorViewer::VTK_LEGACY | ( | int | GetWholeZMax() | ) |

vtkImageColorViewer::VTK_LEGACY | ( | void | SetZSliceint | ) |

vtkImageColorViewer::VTK_LEGACY | ( | int | GetZSlice() | ) |

vtkImageColorViewer::vtkBooleanMacro | ( | OffScreenRendering | ,
|  | int |
| ) |  |

vtkImageColorViewer::vtkGetMacro | ( | Slice | ,
|  | int |
| ) |  |

vtkImageColorViewer::vtkGetMacro | ( | SliceOrientation | ,
|  | int |
| ) |  |

vtkImageColorViewer::vtkGetObjectMacro | ( | RenderWindow | ,
|  | vtkRenderWindow |
| ) |  |

vtkImageColorViewer::vtkGetObjectMacro | ( | WindowLevel | ,
|  | vtkImageMapToWindowLevelColors2 |
| ) |  |

vtkImageColorViewer::vtkGetObjectMacro | ( | InteractorStyle | ,
|  | vtkInteractorStyleImage |
| ) |  |

vtkImageColorViewer::vtkGetObjectMacro | ( | Renderer | ,
|  | vtkRenderer |
| ) |  |

vtkImageColorViewer::vtkGetObjectMacro | ( | ImageActor | ,
|  | vtkImageActor |
| ) |  |

vtkImageColorViewer::vtkTypeRevisionMacro | ( | vtkImageColorViewer | ,
|  | vtkObject |
| ) |  |

## Member Data Documentation

int vtkImageColorViewer::FirstRender`[protected]`

vtkImageActor* vtkImageColorViewer::ImageActor`[protected]`

vtkRenderWindowInteractor* vtkImageColorViewer::Interactor`[protected]`

vtkInteractorStyleImage* vtkImageColorViewer::InteractorStyle`[protected]`

vtkImageActor* vtkImageColorViewer::OverlayImageActor`[protected]`

vtkRenderer* vtkImageColorViewer::Renderer`[protected]`

vtkRenderWindow* vtkImageColorViewer::RenderWindow`[protected]`

int vtkImageColorViewer::Slice`[protected]`

int vtkImageColorViewer::SliceOrientation`[protected]`

vtkImageMapToWindowLevelColors2* vtkImageColorViewer::WindowLevel`[protected]`

The documentation for this class was generated from the following file:

- vtkImageColorViewer.h